/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.ReferensiWilayah;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface RefWilayahEjbHome {
     public List<ReferensiWilayah> findAll();

    public ReferensiWilayah findByID(int id);

    public ReferensiWilayah createNew();

    public ReferensiWilayah save(ReferensiWilayah obj);

    public ReferensiWilayah findByKode(String kode);

    public ReferensiWilayah update(ReferensiWilayah obj);

    public void delete(int id);

}
